TEMPLATE	= app
CONFIG		= qt warn_on release
LIBS     += -ltiff -lsane -ldl
HEADERS		= 3rdparty/md5/md5.h \
		  3rdparty/qtbackport/qcleanuphandler.h \
		  3rdparty/qtbackport/qprocess.h \
		  3rdparty/qtbackport/qprocess_unix.h \
		  canvasrubberrectangle.h \
		  checklistitemext.h \
		  directorylistview.h \
		  dragiconview.h \
		  iconviewitemext.h \
		  imagebuffer.h \
		  imagefilters/brightnesscontrastdialog.h \
		  imagefilters/despeckledialog.h \
		  imagefilters/gammadialog.h \
		  imagefilters/gaussiirblurdialog.h \
		  imagefilters/imageconverterdialog.h \
		  imagefilters/imagefilterdialog.h \
		  imagefilters/invertdialog.h \
		  imagefilters/normalizedialog.h \
		  imagefilters/oilpaintingdialog.h \
		  imagefilters/posterizedialog.h \
		  imagefilters/rotationdialog.h \
		  imagefilters/sharpendialog.h \
		  imagefilters/scaledialog.h \
		  imagefilters/sheardialog.h \
		  imagehistorybrowser.h \
		  imageiosupporter.h \
		  previewwidget.h \
		  qbooloption.h \
		  qbuttonoption.h \
		  qcombooption.h \
		  qcopyprint.h \
		  qcurvewidget.h \
		  qdevicesettings.h \
		  qdoublespinbox.h \
		  qdraglabel.h \
		  qdraglistbox.h \
		  qextensionwidget.h \
		  qfiledialogext.h \
		  qfilelistwidget.h \
		  qhtmlview.h \
		  qimageioext.h \
		  qlistviewitemext.h \
		  qmultilineeditpe.h \
		  qmultiscan.h \
		  qocrprogress.h \
		  qoptionscrollview.h \
		  qpreviewfiledialog.h \
		  qqualitydialog.h \
		  qreadonlyoption.h \
		  qsaneoption.h \
		  qsanestatusmessage.h \
		  qscanareawidget.h \
		  qscandialog.h \
		  qscanner.h \
		  qscannersetupdlg.h \
		  qscrollbaroption.h \
		  qsplinearray.h \
		  qstringoption.h \
		  qswitchoffmessage.h \
		  quiteinsane.h \
		  quiteinsanenamespace.h \
		  qunknownprogresswidget.h \
		  qviewercanvas.h \
		  qwordarrayoption.h \
		  qwordcombooption.h \
		  qxmlconfig.h \
		  resource.h \
		  ruler.h \
		  scanarea.h \
		  scanareacanvas.h \
		  textiosupporter.h
SOURCES		= 3rdparty/md5/md5.c \
		  3rdparty/qtbackport/qprocess.cpp \
		  3rdparty/qtbackport/qprocess_unix.cpp \
		  canvasrubberrectangle.cpp \
		  checklistitemext.cpp \
		  directorylistview.cpp \
		  dragiconview.cpp \
		  iconviewitemext.cpp \
		  imagebuffer.cpp \
		  imagefilters/brightnesscontrastdialog.cpp \
		  imagefilters/despeckledialog.cpp \
		  imagefilters/gammadialog.cpp \
		  imagefilters/gaussiirblurdialog.cpp \
		  imagefilters/imageconverterdialog.cpp \
		  imagefilters/imagefilterdialog.cpp \
		  imagefilters/invertdialog.cpp \
		  imagefilters/normalizedialog.cpp \
		  imagefilters/oilpaintingdialog.h \
		  imagefilters/posterizedialog.cpp \
		  imagefilters/rotationdialog.cpp \
		  imagefilters/scaledialog.cpp \
		  imagefilters/sharpendialog.cpp \
		  imagefilters/sheardialog.cpp \
		  imagehistorybrowser.cpp \
		  imageiosupporter.cpp \
		  main.cpp \
		  previewwidget.cpp \
		  qbooloption.cpp \
		  qbuttonoption.cpp \
		  qcombooption.cpp \
		  qcopyprint.cpp \
		  qcurvewidget.cpp \
		  qdevicesettings.cpp \
		  qdoublespinbox.cpp \
		  qdraglabel.cpp \
		  qdraglistbox.cpp \
		  qextensionwidget.cpp \
		  qfiledialogext.cpp \
		  qfilelistwidget.cpp \
		  qhtmlview.cpp \
		  qimageioext.cpp \
		  qlistviewitemext.cpp \
		  qmultilineeditpe.cpp \
		  qmultiscan.cpp \
		  qocrprogress.cpp \
		  qoptionscrollview.cpp \
		  qpreviewfiledialog.cpp \
		  qqualitydialog.cpp \
		  qreadonlyoption.cpp \
		  qsaneoption.cpp \
		  qsanestatusmessage.cpp \
		  qscanareawidget.cpp \
		  qscandialog.cpp \
		  qscanner.cpp \
		  qscannersetupdlg.cpp \
		  qscrollbaroption.cpp \
		  qsplinearray.cpp \
		  qstringoption.cpp \
		  qswitchoffmessage.cpp \
		  quiteinsane.cpp \
		  qunknownprogresswidget.cpp \
		  qviewercanvas.cpp \
		  qwordarrayoption.cpp \
		  qwordcombooption.cpp \
		  qxmlconfig.cpp \
		  ruler.cpp \
		  scanarea.cpp \
		  scanareacanvas.cpp \
		  textiosupporter.cpp
INTERFACES	= 
TARGET		= quiteinsane
TRANSLATIONS = locale/quiteinsane_template.ts \
               locale/quiteinsane_de.ts
